> For the complete documentation index, see [llms.txt](https://docs.kognitos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kognitos.com/legacy/legacy-experience/rest-api.md).

# REST API

Our REST API is a programmatic interface for interacting with Kognitos, allowing you to manage agents, processes, files, and runs.

{% hint style="success" %}
[**Version 2**](https://docs.kognitos.com/guides/api-reference/api-reference) **is the latest version of the Kognitos REST API.** Check out our migration guide [here](/legacy/legacy-experience/rest-api/migrating-to-v2.md).
{% endhint %}

## Authentication

Authentication uses an **API Key**, which must be included in the `x-api-key` header of every request:

```
x-api-key: YOUR_API_KEY
```

## Base URLs <a href="#base-urls" id="base-urls"></a>

Our REST API is available in different regions. Use the base URL that matches your region when making requests:

<table><thead><tr><th width="133.1441650390625">Region</th><th>Base URL</th></tr></thead><tbody><tr><td><strong>US Region</strong></td><td><code>https://rest-api.app.kognitos.com</code></td></tr><tr><td><strong>EU Region</strong></td><td><code>https://rest-api.eu.kognitos.com</code></td></tr><tr><td><strong>UK Region</strong></td><td><code>https://rest-api.uk.kognitos.com</code></td></tr></tbody></table>

## Endpoints

These are the **resources** and **endpoints** in the Kognitos REST API *(v2)*:

<table><thead><tr><th width="137.125">Resource</th><th width="215.1875">Endpoint</th><th>Description</th></tr></thead><tbody><tr><td><a href="/legacy/legacy-experience/processes.md"><strong>Processes</strong></a></td><td><a href="https://docs.kognitos.com/guides/api-reference/automations">GET /v2/processes</a></td><td>Get all processes for a specified agent</td></tr><tr><td></td><td><a href="https://docs.kognitos.com/guides/api-reference/automations">GET /v2/processes/{id}</a></td><td>Get detailed information for a specific process</td></tr><tr><td><a href="/legacy/legacy-experience/processes/runs.md"><strong>Runs</strong></a></td><td><a href="https://docs.kognitos.com/guides/api-reference/runs">GET /v2/runs</a></td><td>Get all runs for a specified process and agent</td></tr><tr><td></td><td><a href="https://docs.kognitos.com/guides/api-reference/runs">POST /v2/runs</a></td><td>Start a new run for a specified process</td></tr><tr><td></td><td><a href="https://docs.kognitos.com/guides/api-reference/runs">GET /v2/runs/{id}</a></td><td>Get the details of a specific process run</td></tr><tr><td><strong>Files</strong></td><td><a href="https://docs.kognitos.com/guides/api-reference/files">POST /v2/files</a></td><td>Request file upload URL</td></tr><tr><td><strong>Health</strong></td><td><a href="https://docs.kognitos.com/guides/api-reference/api-reference">GET /v2/health</a></td><td>Check the status and system health of the REST API v2</td></tr></tbody></table>
